Name:           aws-libfabric
Version:        1.8.0amzn1.1
Release:        1%{?dist}
Summary:        Open Fabric Interfaces -- AWS version

License:        BSD or GPLv2
URL:            https://github.com/aws/libfabric
Source0:        https://github.com/aws/libfabric/releases/download/v1.8.0amzn1.1/libfabric-%version.tar.bz2

BuildRequires:  gcc
BuildRequires:  libnl3-devel
# RDMA not available on 32-bit ARM: #1484155
%ifnarch %{arm}
BuildRequires:  libibverbs-devel
BuildRequires:  librdmacm-devel
%endif
%ifarch x86_64
BuildRequires:  infinipath-psm-devel
%if 0%{?fedora} || 0%{?rhel} >= 7
BuildRequires:  libpsm2-devel
%endif
%endif
# Fixme: Do something better than this?
Conflicts:	libfabric%{?_isa}

%description
OpenFabrics Interfaces (OFI) is a framework focused on exporting fabric
communication services to applications.  OFI is best described as a collection
of libraries and applications used to export fabric services.  The key
components of OFI are: application interfaces, provider libraries, kernel
services, daemons, and test applications.

Libfabric is a core component of OFI.  It is the library that defines and
exports the user-space API of OFI, and is typically the only software that
applications deal with directly.  It works in conjunction with provider
libraries, which are often integrated directly into libfabric.

This is the Amazon AWS-modified version.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Conflicts:	libfabric-devel

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n libfabric-%version


%build
%configure --disable-static --disable-silent-rules
%make_build


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%ldconfig_scriptlets


%files
%license COPYING
%{_bindir}/fi_info
%{_bindir}/fi_pingpong
%{_bindir}/fi_strerror
%{_libdir}/*.so.1*
%{_mandir}/man1/*.1*

%files devel
%license COPYING
%doc AUTHORS README
# We knowingly share this with kernel-headers and librdmacm-devel
# https://github.com/ofiwg/libfabric/issues/1277
%{_includedir}/rdma/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfabric.pc
%{_mandir}/man3/*.3*
%{_mandir}/man7/*.7*


%changelog
* Thu Aug 22 2019 Dave love <loveshack@fedoraproject.org> - 1.8.0amzn1.1-1
- Initial packaging of the aws version, based on vanilla spec
